tee_device_address(3)

NAME
tee_device_address

SYNOPSIS

#include <metee.h>

  Public Types
enum { TEE_DEVICE_TYPE_NONE = 0, TEE_DEVICE_TYPE_PATH = 1, TEE_DEVICE_TYPE_HANDLE = 2, TEE_DEVICE_TYPE_GUID = 3, TEE_DEVICE_TYPE_BDF = 4, TEE_DEVICE_TYPE_MAX = 5 }

  Data Fields
enum tee_device_address:: { ... } type
union {
const char * path
const GUID * guid
TEE_DEVICE_HANDLE handle
struct {
enum { HECI_DEVICE_KIND_PCH, HECI_DEVICE_KIND_GFX_GSC, HECI_DEVICE_KIND_GFX_CSC }
struct {
uint32_t segment
uint32_t bus
uint32_t device
uint32_t function
} value
enum tee_device_address:: { ... } kind
} bdf
} data

Detailed Description

Device address passed to the init function

Definition at line 117 of file metee.h.

Member Enumeration Documentation

  anonymous enum
Device address type

Enumerator

TEE_DEVICE_TYPE_NONE
    Select first available device

TEE_DEVICE_TYPE_PATH
    Use device by path (char*)

TEE_DEVICE_TYPE_HANDLE
    Use device by pre-opend handle

TEE_DEVICE_TYPE_GUID
    Select first device by GUID (Windows only)

TEE_DEVICE_TYPE_BDF
    Use BDF to work with HECI, EFI only

TEE_DEVICE_TYPE_MAX
    upper sentinel

Definition at line 120 of file metee.h.

Field Documentation

  uint32_t tee_device_address::bus
HECI device Segment

Definition at line 137 of file metee.h.

  union { ... } tee_device_address::data
Device address

  uint32_t tee_device_address::device
HECI device Bus

Definition at line 138 of file metee.h.

  uint32_t tee_device_address::function
HECI device Device

Definition at line 139 of file metee.h.

  const GUID* tee_device_address::guid
< Path to device

Definition at line 132 of file metee.h.

  TEE_DEVICE_HANDLE tee_device_address::handle
Device GUID (Windows only) Pre-opend handle

Definition at line 133 of file metee.h.

  enum { ... } tee_device_address::kind
Specify HW layout: HECI, FWSTS registers locations

  const char* tee_device_address::path

Definition at line 131 of file metee.h.

  uint32_t tee_device_address::segment

Definition at line 136 of file metee.h.

  enum { ... } tee_device_address::type
Device address type

Author

Generated automatically by Doxygen for metee from the source code.